#Makefile objects_model.mk

# Define main source.

MAIN = $(MODEL)/rammain.F90
MAINOBJ = rammain.o


# Define objects.

OBJ_MOD = \
	mem_stilt.o \
	node_mod.o    \
	ModVarfFile.o \
	ModBuffering.o \
	ModMessageData.o \
	ModMessagePassing.o \
	ModMessageSet.o \
	ModGridDims.o \
	ModGrid.o \
	ModGridTree.o \
	ModNeighbourNodes.o \
	ModFieldSectionList.o \
	ModDomainDecomp.o \
	ModDateUtils.o \
	ReadBcst.o \
	mpi_io_engine-5d.o \
	Phys_const.o \
	alloc.o   \
	an_header.o \
	aobj.o \
	asgen.o \
	asti.o \
	asti2.o \
	astp.o \
	avarf.o \
	ccatt_start.o \
	machine_arq.o \
	teb_spm_start.o \
	mem_grid_dim_defs.o \
	cond_read.o \
	cond_update.o \
	conv_coms.o \
	coriolis.o \
	cu_read.o \
	cup_dn.o \
	cup_env.o \
	cup_env_catt.o \
	cup_grell_catt_deep.o \
	cup_grell_catt_shallow.o \
	cup_output_vars.o \
	cup_up.o \
	diffsclr.o \
	diffuse.o \
	file_inv.o \
	first_rams.o \
	geodat.o \
	grid_dims.o \
	grid_struct.o \
	inithis.o  \
	io_params.o \
	isan_coms.o \
	isan_io.o \
	ke_coms.o \
	landuse_input.o \
	leaf3.o \
	leaf3_hyd.o \
	leaf3_init.o \
	leaf_coms.o \
	leaf3_teb.o \
	mem_aerad.o \
	mem_all.o \
	mem_basic.o \
	carma_driver.o \
	mem_carma.o \
	mem_cuparm.o \
	mem_cutrans.o \
	mem_globaer.o \
	mem_globrad.o \
	mem_grell.o \
	mem_grell_param2.o \
	mem_grid.o \
	mem_leaf.o \
	mem_micro.o \
	mem_mksfc.o \
	mem_nestb.o \
	mem_oda.o \
	mem_opt_scratch.o \
	mem_precision.o \
	mem_radiate.o \
	mem_scalar.o \
	mem_scratch.o \
	mem_scratch1_brams.o \
	mem_scratch1_grell.o \
	mem_scratch2_grell.o \
	mem_scratch2_grell_sh.o \
	mem_scratch3_grell.o \
	mem_scratch3_grell_sh.o \
	mem_shcu.o \
	mem_tconv.o \
	mem_tend.o \
	mem_turb.o \
	mem_turb_scalar.o \
	mem_varinit.o \
	mem_micro_optij.o \
	mic_coll.o \
	mic_driv.o \
	mic_driv_new.o \
	mic_gamma.o \
	mic_init.o \
	mic_misc.o \
	mic_nuc.o \
	mic_tabs.o \
	mic_vap.o \
	micphys.o \
	mksfc_driver.o \
	mksfc_ndvi.o \
	mksfc_sfc.o \
	mksfc_sst.o \
	mksfc_top.o \
	ModTimeStamp.o \
	modsched.o \
	local_proc.o \
	mpass_dtl.o \
	mpass_feed.o \
	mpass_full.o      \
	mpass_nest.o \
	ndvi_read.o \
	nest_drivers.o \
	nest_feed.o \
	nest_filldens.o \
	nest_geosst.o \
	nest_intrp.o \
	nud_analysis.o \
	nud_read.o \
	nud_update.o \
	obs_input.o \
	oda_krig.o \
	oda_nudge.o \
	oda_proc_obs.o \
	oda_read.o \
	oda_sta_count.o \
	oda_sta_input.o \
	opspec.o \
	domain_decomp.o \
	para_init.o \
	Phys_const.o \
	raco.o \
	raco_adap.o \
	rad_carma.o \
	rad_driv.o \
	rtm_driver.o \
	radvc.o \
	radvc_rk.o \
	radvc_adap.o \
	radvc_mnt.o \
	mod_GhostBlock.o \
	mod_GhostBlockPartition.o \
	mod_advect_kit.o \
	radvc_new.o \
	rams_grid.o \
	gridset.o \
	adap_init.o \
	ModOneProc.o \
	rams_mem_alloc.o   \
	rams_read_header.o \
	ranlavg.o \
	rbnd.o \
	rbnd_adap.o \
	rcio.o \
	rconstants.o \
	rconv.o \
	rconv_grell_catt.o \
	chem_conv_transp.o \
	ModNamelistFile.o  \
	ModParallelEnvironment.o  \
	read_ralph.o \
	recycle.o  \
	ref_sounding.o \
	refstate.o \
	rgrad.o \
	rhhi.o  \
	rinit.o  \
	rio.o \
	rnest_par.o \
	rnode.o \
	rshcupar.o \
	rthrm.o \
	rtimh.o \
	rtimh_rk.o \
	rtimh_abm.o \
	rtimi.o \
	ruser.o \
	shcu_vars_const.o \
	memSoilMoisture.o \
	soilMoisture.o \
	sst_read.o \
	turb_diff.o \
	turb_diff_adap.o \
	turb_k.o \
	turb_k_adap.o \
	turb_ke.o \
	upcase.o \
	urban_canopy.o \
	v_interps.o \
	extra.o \
	aer1_list.o \
	mem_aer1.o \
	chem1_list.o \
	chem1aq_list.o \
	mem_chem1aq.o \
	mem_chem1.o \
	mem_chemic.o \
	mem_plume_chem1.o \
	mem_volc_chem1.o \
	chem_sources.o \
	chem_plumerise_scalar.o \
	ChemSourcesDriver.o \
	chem_dry_dep.o \
	ChemDryDepDriver.o \
	mem_tuv.o \
	tuvParameter.o \
	ModTuv2.7.o \
	ModTuvDriver2.7.o \
	var_tables.o \
	varf_update.o \
	vtab_fill.o \
	mksfc_fuso.o \
	mem_teb.o \
	mem_teb_common.o \
	mem_teb_vars_const.o \
	mem_gaspart.o \
	mem_emiss.o \
	urban.o \
	gaspart.o \
	ozone.o \
	mod_ozone.o \
	chem_isan_coms.o \
	chem_aobj.o \
	chem_asgen.o \
	chem_asti2.o \
	chem_asti.o \
	chem_astp.o \
	chem_avarf.o \
	chem_file_inv.o \
	chem_first_rams.o \
	chem_isan_io.o \
	chem_refstate.o \
	chem_v_interps.o \
	carma_fastjx.o \
	chem_fastjx57.o \
	chem_fastjx_data.o \
	chem_fastjx_driv.o \
	chem_spack_utils.o \
	mem_spack.o \
	chem_uv_att.o\
	chem_spack_solve_sparse.o \
	chem_spack_lu.o \
	chem_spack_jacdchemdc.o \
	chem_spack_dratedc.o \
	chem_spack_kinetic.o \
	chem_spack_fexprod.o \
	chem_spack_fexloss.o \
	chem_spack_rates.o \
	chem_spack_fexchem.o \
	chem_spack_ros.o \
	chem_spack_ros_dyndt.o \
	chem_spack_rodas3_dyndt.o\
	chem_spack_qssa.o \
	chem_trans_gasaq.o \
	chem_trans_liq.o \
	chem_orage.o \
	chemistry.o \
	ModPostProcess.o \
	ModPostOneField.o \
	ModPostOneField2d.o \
	ModPostOneField3d.o \
	ModPostOneField7d.o \
	ModPostOneField8d.o \
	ModPostOneFieldUtils.o \
	ModPostUtils.o \
	ModPostGrid.o \
	ModBramsGrid.o \
	ModOutputUtils.o \
	kbcon_ecmwf.o \
	module_cu_g3.o \
	module_cu_gf.o \
	module_cu_gf_v5.1.o \
	module_cu_gd_fim.o \
	cup_grell3.o \
	rexev.o \
	rstilt.o \
	turb_constants.o \
	tkenn.o \
	digitalFilter.o \
	GridMod.o \
	MapMod.o \
	ProcessorMod.o \
	BoundaryMod.o \
	errorMod.o \
	advSendMod.o \
	InitAdvect.o \
	seasalt.o  \
	meteogram.o \
	meteogramType.o \
	mcica_random_numbers.o \
	mcica_subcol_gen_sw.o \
	parkind.o \
	parrrsw.o \
	rrsw_aer.o \
	rrsw_cld.o \
	rrsw_con.o \
	rrsw_kg16.o \
	rrsw_kg17.o \
	rrsw_kg18.o \
	rrsw_kg19.o \
	rrsw_kg20.o \
	rrsw_kg21.o \
	rrsw_kg22.o \
	rrsw_kg23.o \
	rrsw_kg24.o \
	rrsw_kg25.o \
	rrsw_kg26.o \
	rrsw_kg27.o \
	rrsw_kg28.o \
	rrsw_kg29.o \
	rrsw_ref.o \
	rrsw_tbl.o \
	rrsw_vsn.o \
	rrsw_wvn.o \
	rrtmg_sw_cldprmc.o \
	rrtmg_sw_cldprop.o \
	rrtmg_sw_init.o \
	rrtmg_sw_k_g.o \
	rrtmg_sw_rad.o \
	rrtmg_sw_reftra.o \
	rrtmg_sw_setcoef.o \
	rrtmg_sw_spcvmc.o \
	rrtmg_sw_spcvrt.o \
	rrtmg_sw_taumol.o \
	rrtmg_sw_vrtqdr.o \
	mcica_subcol_gen_lw.o \
	parrrtm.o \
	rrlw_cld.o \
	rrlw_con.o \
	rrlw_kg01.o \
	rrlw_kg02.o \
	rrlw_kg03.o \
	rrlw_kg04.o \
	rrlw_kg05.o \
	rrlw_kg06.o \
	rrlw_kg07.o \
	rrlw_kg08.o \
	rrlw_kg09.o \
	rrlw_kg10.o \
	rrlw_kg11.o \
	rrlw_kg12.o \
	rrlw_kg13.o \
	rrlw_kg14.o \
	rrlw_kg15.o \
	rrlw_kg16.o \
	rrlw_ncpar.o \
	rrlw_ref.o \
	rrlw_tbl.o \
	rrlw_vsn.o \
	rrlw_wvn.o \
	rrtmg_lw_cldprmc.o \
	rrtmg_lw_cldprop.o \
	rrtmg_lw_init.o \
	rrtmg_lw_k_g.o \
	rrtmg_lw_rad.o \
	rrtmg_lw_rtrn.o \
	rrtmg_lw_rtrnmc.o \
	rrtmg_lw_rtrnmr.o \
	rrtmg_lw_setcoef.o \
	rrtmg_lw_taumol.o \
	mem_rrtm.o \
	isrpia.o \
	quad.o \
	actv.o \
	coag.o \
	depv.o \
	diam.o \
	dicrete.o \
	solut.o \
	issoropia.o \
	isofwd.o \
	isorev.o \
	matrix.o \
	npf.o \
	quad.o \
	setup.o \
	subs.o \
	thermo_isorr.o \
	isrpia.o \
	MatrixDriver.o \
	ModParticle.o \
	memMatrix.o\
	module_rams_microphysics_2M.o\
	mic_thompson_driver.o\
	module_mp_thompson.o\
	module_mp_radar.o \
	module_wind_farm.o \
	module_wind_fitch.o \
	initComm.o \
	debugTools.o \
	ConvPar_GF_GEOS5.o \
	Henrys_Law_cts.o \
	MAPL_Constants.o \
	optical.o        \
	mic_gfdl_driver.o \
	gfdl_cloud_microphys.o \
	dam.o \
	mod_aer.o \
	initMicThompson.o \
	ModPostGridNetCDF.o \
	ModPostOneFieldNetCDF.o \
	ModPostTypes.o \
	ModEvaluation.o \
	modIau.o \
	leaf3_ocean_only.o \
	   CN_utils_mod.o \
   Jin11_osa_mod.o \
   aero.o \
   albpft_jls_mod.o \
   albsnow_jls_mod.o \
   albsnow_ts_jls_mod.o \
   allocate_cable_arrays_mod.o \
   allocate_jules_arrays.o \
   ancil_info.o \
   areaver_mod.o \
   atm_fields_bounds_mod.o \
   bedrock_jls_mod.o \
   bl_option_mod.o \
   blend_h_mod.o \
   bvoc_emissions_mod.o \
   bvoc_vars.o \
   c_bvoc_mod.o \
   c_elevate.o \
   c_kappai_mod.o \
   c_rmol_mod.o \
   c_sicehc_mod.o \
   c_surf_mod.o \
   c_topog_mod.o \
   c_z0h_z0m_mod.o \
   cable_maths_constants_mod.o \
   cable_other_constants_mod.o \
   cable_phys_constants_mod.o \
   cable_prognostic_info_mod.o \
   cable_surface_types_mod.o \
   cable_types_mod.o \
   calc_air_dens_jls_mod.o \
   calc_baseflow_jls_mod.o \
   calc_baseflow_jules_mod.o \
   calc_c_comps_triffid_mod.o \
   calc_direct_albsoil_mod.o \
   calc_fsat_mod.o \
   calc_litter_flux_mod.o \
   calc_zw_inund_jls_mod.o \
   calc_zw_jls_mod.o \
   can_drag_mod.o \
   canadian_mod.o \
   cancap_jls.o \
   canopysnow_mod.o \
   canyonalb_mod.o \
   ccarbon_mod.o \
   cellarea_calc_mod.o \
   ch4_microbe_mod.o \
   ch4_tdep_jls_mod.o \
   ch4_tdep_layers_jls_mod.o \
   ch4_wetl_jls_mod.o \
   check_unavailable_options_mod.o \
   chemistry_constants_mod.o \
   clim_calc.o \
   coastal.o \
   compactsnow_mod.o \
   compete_jls.o \
   control.o \
   conversions_mod_jls.o \
   crop_date_mod.o \
   crop_mod.o \
   crop_utils_mod.o \
   crop_vars_mod.o \
   cropparm_io_mod.o \
   cropparm_mod.o \
   csigma_mod.o \
   darcy_ch_mod.o \
   darcy_ic_mod.o \
   darcy_vg_jls_mod.o \
   data_cube_mod.o \
   data_parameters_mod.o \
   datetime_mod.o \
   datetime_utils_mod.o \
   day_calc.o \
   decay_jls.o \
   delta_temp.o \
   deposition_species_io_mod.o \
   deposition_species_mod.o \
   descent_mod.o \
   develop.o \
   dewpnt_jls.o \
   diag_swchs.o \
   dictionary_mod.o \
   diff_atmos_ch4.o \
   diffcarb_land_ch4.o \
   diffcarb_land_co2.o \
   disaggregated_precip.o \
   dpm_rpm_jls.o \
   drdat.o \
   driver_ascii_mod.o \
   driver_ncdf_mod.o \
   dump_mod.o \
   dust_param_mod.o \
   dust_parameters_mod_jls.o \
   dustresb_jls.o \
   ecosse_control_mod.o \
   ecosse_decomposition_mod.o \
   ecosse_denitrification_mod.o \
   ecosse_init_mod.o \
   ecosse_leaching_mod.o \
   ecosse_nitrification_mod.o \
   ecosse_param_mod.o \
   ecosse_prepare_mod.o \
   ecosse_rate_modifier_mod.o \
   ecosse_source_sink_mod.o \
   ecosse_utils_mod.o \
   elev_htc_jls_mod.o \
   elevate.o \
   emerge.o \
   ereport_mod.o \
   errormessagelength_mod.o \
   fao_evapotranspiration_mod.o \
   fcdch.o \
   file_ascii_generic_sync_mod.o \
   file_gridded_mod.o \
   file_mod.o \
   file_ts_mod.o \
   fire_allocate.o \
   fire_calc_daily.o \
   fire_init.o \
   fire_mod.o \
   fire_timestep_mod.o \
   fire_vars_mod.o \
   flake_albedo_ref_mod.o \
   flake_configure_mod.o \
   flake_derivedtypes_mod.o \
   flake_driver_mod.o \
   flake_init_mod.o \
   flake_mod.o \
   flake_parameters_mod.o \
   flake_paramoptic_ref_mod.o \
   flake_radflux.o \
   fluxes.o \
   forcing.o \
   freeze_soil.o \
   frunoff_jls_mod.o \
   gauss_jls_mod.o \
   gcm_anlg.o \
   generate_anthrop_heat_jls_mod.o \
   get_us.o \
   grid_utils_mod.o \
   gridbox_mean_mod.o \
   gridmean_fluxes.o \
   heat_con_jls_mod.o \
   hyd_con_ch_mod.o \
   hyd_con_ic_mod.o \
   hyd_con_vg_jls_mod.o \
   hyd_psi_mod.o \
   hydrol_jls_mod.o \
   ice_formdrag_lupkes_mod.o \
   ice_htc_jls_mod.o \
   im_sf_pt2_jls.o \
   imogen_anlg_vals.o \
   imogen_check.o \
   imogen_clim.o \
   imogen_constants.o \
   imogen_drive_vars.o \
   imogen_io_vars.o \
   imogen_map.o \
   imogen_progs.o \
   imogen_run.o \
   imogen_time.o \
   imogen_update_carb.o \
   imogen_update_clim.o \
   inferno_io_mod.o \
   inferno_mod.o \
   infiltration_rate_mod.o \
   init.o \
   init_ancillaries_mod.o \
   init_cable_mod.o \
   init_check_compatibility.o \
   init_deposition_mod.o \
   init_drive.o \
   init_fire.o \
   init_flake_ancils_mod.o \
   init_grid_mod.o \
   init_hydrology.o \
   init_imogen.o \
   init_irrigation.o \
   init_jules_sf_diags_mod.o \
   init_model_environment_mod.o \
   init_output_mod.o \
   init_params_mod.o \
   init_parms.o \
   init_plant_n_uptake_mod.o \
   init_prescribed_data.o \
   init_radiation.o \
   init_rivers.o \
   init_snow.o \
   init_soil.o \
   init_soil_biogeochem_mod.o \
   init_soil_ecosse_mod.o \
   init_surface.o \
   init_surface_types.o \
   init_time.o \
   init_urban.o \
   init_vars_tmp.o \
   init_vegetation.o \
   init_water_resources_mod.o \
   initial_conditions_mod.o \
   input_mod.o \
   interpolation_mod.o \
   invert.o \
   io_constants.o \
   irrigation_mod.o \
   irrigation_water_mod.o \
   jules_deposition_mod.o \
   jules_fields_mod.o \
   jules_final_mod.o \
   jules_flake_interface_1D.o \
   jules_grid_update_implicit_jls.o \
   jules_griddiag_sf_explicit_jls.o \
   jules_griddiag_sf_implicit_jls.o \
   jules_gridinit_sf_explicit_jls.o \
   jules_hydrology_mod.o \
   jules_irrig_mod.o \
   jules_land_albedo_jls_mod.o \
   jules_land_sf_explicit_jls.o \
   jules_land_sf_implicit.jls.o \
   jules_mod.o \
   jules_model_environment_mod.o \
   jules_plant_n_uptake_mod.o \
   jules_print_mgr.o \
   jules_radiation_mod.o \
   jules_rivers_mod.o \
   jules_science_fixes_mod.o \
   jules_sea_seaice_mod.o \
   jules_snow_mod.o \
   jules_soil_biogeochem_mod.o \
   jules_soil_ecosse_mod.o \
   jules_soil_mod.o \
   jules_ssi_albedo_jls_mod.o \
   jules_ssi_sf_explicit_jls.o \
   jules_ssi_sf_implicit.jls.o \
   jules_subroutine.o \
   jules_surface_mod.o \
   jules_surface_types_mod.o \
   jules_vectlib_mod.o \
   jules_vegetation_mod.o \
   jules_water_resources_mod.o \
   lake_mod.o \
   land_tile_ids.o \
   layersnow_mod.o \
   leaf_jls_mod.o \
   leaf_limits_mod.o \
   leaf_lit_jls.o \
   logging_mod.o \
   lotka_eq_jls.o \
   lotka_jls.o \
   lotka_noeq_jls.o \
   lotka_noeq_subset_jls.o \
   matinv_mod.o \
   max_dimensions.o \
   mcarthur_mod.o \
   mem_brams_jules.o \
   metstats_init.o \
   metstats_mod.o \
   metstats_timestep.o \
   microbe_jls.o \
   missing_data_mod.o \
   model_grid_mod.o \
   model_interface_mod.o \
   model_time_mod.o \
   modPrintInitial.o \
   mpi_mod.o \
   n_leach_mod.o \
   nesterov_mod.o \
   next_gen_biogeochem_mod.o \
   next_time.o \
   nlsizes_namelist_mod.o \
   nvegparm_io_mod.o \
   nvegparm_mod.o \
   ocean_co2.o \
   output_mod.o \
   overbank_inundation_mod.o \
   overbank_update_mod.o \
   ozone_vars.o \
   p_s_parms.o \
   parallel_mod.o \
   parkind1.o \
   partition.o \
   pdm_jls_mod.o \
   pft_sparm_jls_mod.o \
   pftparm_io_mod.o \
   pftparm_mod.o \
   phenol_jls.o \
   phi_m_h.o \
   phi_m_h_vol.o \
   physiol_jls_mod.o \
   planet_constants_mod_jls.o \
   plant_growth_n.o \
   precision_mod.o \
   prognostics.o \
   qsat_data_mod.o \
   qsat_mod.o \
   radf_ch4.o \
   radf_co2.o \
   radf_non_co2.o \
   raero_jls.o \
   redis.o \
   relayersnow_mod.o \
   response.o \
   river_control.o \
   rivers_regrid_mod.o \
   rivers_route_mod.o \
   rivers_route_rfm_mod.o \
   rivers_route_trip_mod.o \
   rivers_route_utils_mod.o \
   rndm.o \
   root_frac_jls_mod.o \
   screen_tq_jls.o \
   sea_rough_int.o \
   set_soil_alb_components.o \
   sf_aero.o \
   sf_diags_mod.o \
   sf_evap_jls.o \
   sf_flux_mod.o \
   sf_melt_jls.o \
   sf_orog_gb_jls.o \
   sf_orog_jls.o \
   sf_resist_jls.o \
   sf_rib.o \
   sf_stom_jls_mod.o \
   sfl_int_mod.o \
   sice_htf_jls.o \
   sieve_jls_mod.o \
   smc_ext_jls_mod.o \
   snow_mod.o \
   snowgrain_mod.o \
   snowpack_mod.o \
   snowtherm_mod.o \
   soil_biogeochem_control_mod.o \
   soil_biogeochem_utils_mod.o \
   soil_ecosse_vars_mod.o \
   soil_evap_jls.o \
   soil_htc_jls_mod.o \
   soil_hyd_jls_mod.o \
   soil_hyd_update_mod.o \
   soil_hyd_wt_mod.o \
   soil_inorg_n_mod.o \
   soilcarb_jls.o \
   soilcarb_layers_jls_mod.o \
   soilcarb_mix_jls_mod.o \
   soilmc_jls_mod.o \
   soilt_jls_mod.o \
   solang.o \
   solinc_data.o \
   solpos.o \
   sow.o \
   sparm_jls_mod.o \
   spinup_mod.o \
   stdev1.o \
   stochastic_physics_run_mod.o \
   string_utils_mod.o \
   sunny.o \
   surf_couple_explicit_mod.o \
   surf_couple_extra_mod.o \
   surf_couple_implicit_mod.o \
   surf_couple_radiation_mod.o \
   surf_hyd_jls_mod.o \
   switches.o \
   switches_urban.o \
   templating_mod.o \
   theta_field_sizes_mod.o \
   tilepts_jls.o \
   time_info_mod.o \
   time_varying_input_mod.o \
   timestep_mod.o \
   top_pdm.o \
   tridag_mod.o \
   trif_io_mod.o \
   trif_mod.o \
   trif_vars_mod.o \
   trifctl.o \
   triffid_jls.o \
   um_types.o \
   update_mod.o \
   urban_param_mod.o \
   urbanemis_mod.o \
   urbanz0.o \
   veg-veg1a_jls_mod.o \
   veg-veg2a_jls_mod.o \
   veg3_field_mod.o \
   veg3_litter_mod.o \
   veg3_param_mod.o \
   veg3_red_dynamic_mod.o \
   veg_control.o \
   veg_param_mod.o \
   veg_soil_index_mod.o \
   vegcarb_jls.o \
   vgrav_jls.o \
   vmc_from_head_mod.o \
   water_constants_mod_jls.o \
   water_resources_control_mod.o \
   water_resources_drive.o \
   woodprod.o \
   yomhook.o \
   zenith_mod.o 


	JULES_OBJ_SFCLYR = sfclyr_jules.o
	JULES_OBJ_MEM    = mem_jules.o
#<J3.0> 	JULES_OBJ_FLX   = fluxes.o
ifeq ($(ENABLEJULES),false)
	JULES_OBJ_SFCLYR =
	JULES_OBJ_MEM    =
	JULES_OBJ_FLX   =
endif

ifeq ($(NETCDFFDIR),)
#<J3.0> 	OBJ_MODEL =  jules_netcdf_dummy.o $(OBJ_MOD) 
 	OBJ_MODEL = $(OBJ_MOD) 
else
	OBJ_MODEL = $(OBJ_MOD)
endif

MOD_MOD = \
	mod_chem_spack_rodas3_dyndt.mod   \
	dump.mod \
	moddateutils.mod \
	an_header.mod \
	hdf5_utils.mod \
	modmemory.mod \
	parlib.mod \
	satpolycolision.mod \
	module_gate.mod \
	gammafunction.mod \
	grid_dims.mod \
	modparallelenvironment.mod \
	modnamelistfile.mod \
	rconstants.mod \
	io_params.mod \
	var_tables.mod \
	mem_stilt.mod \
	mem_grid.mod \
	modgriddims.mod \
	moddomaindecomp.mod \
	modneighbournodes.mod \
	modfieldsectionlist.mod \
	modmessagedata.mod \
	modbuffering.mod \
	modmessageset.mod \
	modmessagepassing.mod \
	meteogramtype.mod \
	modgrid.mod \
	modgridtree.mod \
	node_mod.mod \
	mem_grid_dim_defs.mod \
	mem_aerad.mod \
	mem_radiate.mod \
	mem_scratch.mod \
	ref_sounding.mod \
	chem1_list.mod \
	mem_chem1.mod \
	mem_varinit.mod \
	mem_basic.mod \
	mem_turb.mod \
	mem_precision.mod \
	mem_globrad.mod \
	conv_coms.mod \
	shcu_vars_const.mod \
	domain_decomp.mod \
	isan_coms.mod \
	mem_cuparm.mod \
	mem_grell_param.mod \
	teb_spm_start.mod \
	mem_leaf.mod \
	mem_oda.mod \
	memsoilmoisture.mod \
	micphys.mod \
	mem_emiss.mod \
	teb_vars_const.mod \
	readbcst.mod \
	aer1_list.mod \
	mem_aer1.mod \
	modvarffile.mod \
	mpi_io_engine.mod \
	phys_const.mod \
	mem_micro.mod \
	mem_scalar.mod \
	mem_scratch1.mod \
	mem_gaspart.mod \
	mem_tend.mod \
	mem_nestb.mod \
	mem_all.mod \
	mem_opt.mod \
	mem_shcu.mod \
	mem_globaer.mod \
	mem_teb.mod \
	mem_teb_common.mod \
	mem_jules.mod \
	ccatt_start.mod \
	machine_arq.mod \
	grid_struct.mod \
	cup_output_vars.mod \
	mem_scratch2_grell.mod \
	mem_scratch3_grell.mod \
	mem_carma.mod \
	kbcon_ecmwf.mod \
	mem_scratch2_grell_sh.mod \
	mem_scratch3_grell_sh.mod \
	ke_coms.mod \
	leaf_coms.mod \
	mem_mksfc.mod \
	carma_fastjx.mod \
	tuvparameter.mod \
	modtuv.mod \
	mem_tuv.mod \
	rad_carma.mod \
	mem_scratch1_grell.mod \
	carma_driv.mod \
	mem_cutrans.mod \
	mem_grell.mod \
	mem_tconv.mod \
	mem_turb_scalar.mod \
	mem_micro_opt.mod \
	mem_chemic.mod \
	chem1aq_list.mod \
	mem_chem1aq.mod \
	modtimestamp.mod \
	dtset.mod \
	soilmoisture.mod \
	modevaluation.mod \
	obs_input.mod \
	mem_plume_chem1.mod \
	mem_volc_chem1.mod \
	chem_sources.mod \
	modacoust_adap.mod \
	modcomm.mod \
	modacoust.mod \
	parkind.mod \
	parrrsw.mod \
	rrsw_aer.mod \
	rrsw_cld.mod \
	rrsw_con.mod \
	rrsw_kg16.mod \
	rrsw_kg17.mod \
	rrsw_kg18.mod \
	rrsw_kg19.mod \
	rrsw_kg20.mod \
	rrsw_kg21.mod \
	rrsw_kg22.mod \
	rrsw_kg23.mod \
	rrsw_kg24.mod \
	rrsw_kg25.mod \
	rrsw_kg26.mod \
	rrsw_kg27.mod \
	rrsw_kg28.mod \
	rrsw_kg29.mod \
	rrsw_tbl.mod \
	rrsw_vsn.mod \
	rrsw_wvn.mod \
	rrsw_ref.mod \
	rrtmg_sw_setcoef.mod \
	rrtmg_sw_init.mod \
	parrrtm.mod \
	rrlw_cld.mod \
	rrlw_con.mod \
	rrlw_kg01.mod \
	rrlw_kg02.mod \
	rrlw_kg03.mod \
	rrlw_kg04.mod \
	rrlw_kg05.mod \
	rrlw_kg06.mod \
	rrlw_kg07.mod \
	rrlw_kg08.mod \
	rrlw_kg09.mod \
	rrlw_kg10.mod \
	rrlw_kg11.mod \
	rrlw_kg12.mod \
	rrlw_kg13.mod \
	rrlw_kg14.mod \
	rrlw_kg15.mod \
	rrlw_kg16.mod \
	rrlw_tbl.mod \
	rrlw_vsn.mod \
	rrlw_wvn.mod \
	rrlw_ref.mod \
	rrtmg_lw_setcoef.mod \
	rrtmg_lw_init.mod \
	mem_rrtm.mod \
	mersennetwister.mod \
	mcica_random_numbers.mod \
	mcica_subcol_gen_sw.mod \
	rrtmg_sw_cldprmc.mod \
	rrtmg_sw_reftra.mod \
	rrtmg_sw_taumol.mod \
	rrtmg_sw_vrtqdr.mod \
	rrtmg_sw_spcvmc.mod \
	rrtmg_sw_rad.mod \
	mcica_subcol_gen_lw.mod \
	rrtmg_lw_cldprmc.mod \
	rrtmg_lw_rtrnmc.mod \
	rrtmg_lw_taumol.mod \
	rrtmg_lw_rad.mod \
	rrtmg_lw_cldprop.mod \
	rrtmg_sw_cldprop.mod \
	optical.mod \
	rrtm_driv.mod \
	radiation.mod \
	extras.mod \
	module_dry_dep.mod \
	advmessagemod.mod \
	monotonic_adv.mod \
	advrkparam.mod \
	mod_ghostblockpartition.mod \
	mod_ghostblock.mod \
	advect_kit.mod \
	errormod.mod \
	gridmod.mod \
	mapmod.mod \
	processormod.mod \
	boundarymod.mod \
	advectdata.mod \
	modoutpututils.mod \
	modpostutils.mod \
	modbramsgrid.mod \
	modposttypes.mod \
	modpostgridnetcdf.mod \
	modpostonefieldnetcdf.mod \
	modpostgrid.mod \
	modpostonefieldutils.mod \
	modpostonefield2d.mod \
	modpostonefield3d.mod \
	modpostonefield7d.mod \
	modpostonefield8d.mod \
	modpostonefield.mod \
	modpostprocess.mod \
	module_cu_g3.mod \
	module_cu_gd_fim.mod \
	module_cu_gf.mod \
	module_cu_gf2.mod \
	mapl_constantsmod.mod \
	henrys_law_constantsmod.mod \
	convpar_gf_geos5.mod \
	cuparm_grell3.mod \
	digitalfilter.mod \
	jx_data.mod \
	fastjx57.mod \
	fastjx.mod \
	modtuvdriver.mod \
	mod_chem_plumerise_scalar.mod \
	chemsourcesdriver.mod \
	chemdrydepdriver.mod \
	spack_utils.mod \
	mem_spack.mod \
	solve_sparse.mod \
	lu.mod \
	mod_chem_spack_dratedc.mod \
	mod_chem_spack_jacdchemdc.mod \
	mod_chem_spack_kinetic.mod \
	mod_chem_spack_rates.mod \
	mod_chem_spack_fexchem.mod \
	uv_atten.mod \
	mod_chem_spack_ros.mod \
	mod_chem_spack_ros_dyndt.mod \
	mod_chem_spack_fexloss.mod \
	mod_chem_spack_fexprod.mod \
	mod_chem_spack_qssa.mod \
	mod_chem_trans_gasaq.mod \
	mod_chem_orage.mod \
	mod_chem_trans_liq.mod \
	module_chemistry_driver.mod \
	rams_microphysics_2m.mod \
	module_mp_radar.mod \
	module_mp_thompson.mod \
	module_wind_fitch.mod \
	wind_farm.mod \
	aerclimmod.mod \
	seasalt.mod \
	memmatrix.mod \
	aero_setup.mod \
	aero_subs.mod \
	aero_diam.mod \
	aero_coag.mod \
	aero_npf.mod \
	modparticle.mod \
	aero_isrpia.mod \
	drivermatrix.mod \
	nstypes.mod \
	c_densty.mod \
	seed.mod \
	inout.mod \
	rwerr_mod.mod \
	time_loc.mod \
	file_utils.mod \
	soil_param.mod \
	timeconst.mod \
	time_mod.mod \
	misc_utils.mod \
	route_mod.mod \
	grid_utils.mod \
	readwrite_mod.mod \
	spin_mod.mod \
	snow_param.mod \
	urban_param.mod \
	initial_mod.mod \
	drive_io_vars.mod \
	offline_diag.mod \
	orog.mod \
	screen.mod \
	u_v_grid.mod \
	veg_io_vars.mod \
	atmos_constants_mod.mod \
	c_epslon.mod \
	c_lheat.mod \
	c_r_cp.mod \
	earth_constants_mod.mod \
	c_g.mod \
	surf_param.mod \
	alloc_mod.mod \
	c_0_dg_c.mod \
	modtimestep.mod \
	modtimestep_rk.mod \
	modtimestep_abm.mod \
	meteogram.mod \
	dam.mod \
	initmicthompson.mod \
	modoneproc.mod \
	turb_constants.mod \
	ozone_const.mod \
	chem_isan_coms.mod \
	rrtmg_sw_spcvrt.mod \
	rrlw_ncpar.mod \
	rrtmg_lw_rtrn.mod \
	rrtmg_lw_rtrnmr.mod \
	aero_actv.mod \
	aero_depv.mod \
	aero_discrete.mod \
	solut.mod \
	casej.mod \
	caseg.mod \
	isorropia_module.mod \
	debugdata.mod \
	c_pi.mod \
	blopt8a.mod \
	earth_utils.mod \
	sea_ice.mod \
	c_ch4.mod \
	c_charnk.mod \
	c_gamma.mod \
	c_ht_m.mod \
	c_mdi.mod \
	c_pdm.mod \
	c_perma.mod \
	c_rhowat.mod \
	c_rough.mod \
	c_sulchm.mod \
	c_vkman.mod \
	caoptr.mod \
	csmin.mod \
	fldtype.mod \
	rad_param.mod \
	sigm.mod \
	init_out_map_mod.mod \
	gfdl_cloud_microphys_mod.mod \
	modIau.mod \
	leaf3_ocean_only.mod 

ifeq ($(NETCDFFDIR),)
	MOD_MODEL =  netcdf.mod $(MOD_MOD) 
else
	MOD_MODEL = $(MOD_MOD)
endif

